build-vue:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  script:
    - cd frontend
    - docker build --pull -t vue .
  rules:
    - if: $CI_MERGE_REQUEST_ID

build-backend:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  script:
    - cd backend
    - docker build --pull -t backend .
  rules:
    - if: $CI_MERGE_REQUEST_ID

build-android:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  script: 
    - cd android
    - docker build --pull -t android .
  rules:
    - if: $CI_MERGE_REQUEST_ID
